Subject: Re: bug#76505: 31.0.50; igc: M-x project-compile is slow

From: Ihor Radchenko <[email-masked]>
Date: Sun, 23 Feb 2025 17:58:30 +0000

Pip Cet <[email-masked]> writes:

>> Opportunism: client predicts plenty of idle time, so start full collection.
>
> Two full collections would cause a significant slow-down, yes.
>
> If you want to continue testing before this is fixed, please consider
> setting igc-step-interval to 0 (the fixnum, not the float) or 0.0 (which
> has different behavior because we have a do { ... } while (...) loop).

Setting it to 0 makes hangs somewhat shorter, but they are still there.
Setting it to 0.0 does not change anything.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>